Bug 22501 - OPAC course reserves notes should allow html links
Summary: OPAC course reserves notes should allow html links
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-12 19:12 UTC by Nick Clemens
Modified: 2019-11-06 13:49 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Attachment to Bug 22501 - OPAC course reserves notes should allow html links (1.28 KB, patch)
2019-03-27 23:24 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 22501: OPAC course reserves notes should allow html links (1.32 KB, patch)
2019-04-02 19:37 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22501: OPAC course reserves notes should allow html links (1.38 KB, patch)
2019-04-04 07:07 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22501: (QA Follow-up) use $raw for the note in the intranet (1.30 KB, patch)
2019-04-09 17:57 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22501: OPAC course reserves notes should allow html links (1.44 KB, patch)
2019-04-10 20:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22501: (QA follow-up) use $raw for the note in the intranet (1.36 KB, patch)
2019-04-10 20:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22501: Add raw filter to course reserves summary page (1.72 KB, patch)
2019-04-10 20:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22501: (follow-up) Use raw filter for course note on details page (1.12 KB, patch)
2019-04-19 00:17 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-03-12 19:12:07 UTC
Some libraries have been using the public notes field to point to electronic resources, this functionality has been removed by HTML filtering the content.

We should allow the use of a $raw filter on these fields as they can only be entered by staff
Comment 1 Lucas Gass 2019-03-27 23:24:38 UTC
Created attachment 87127 [details] [review]
Attachment to Bug 22501 - OPAC course reserves notes should allow html links

Bug 22501: OPAC course reserves notes should allow html links

Test Plan:
1. Add a new course a put '<a href=""></a>' in the public not field.
2. Go to the course in the OPAC.
3. Notice that the HTML displays literally
4. Apply patch and reload page
5. The <a> tag should render as HTML
Comment 2 Liz Rea 2019-04-02 19:37:52 UTC
Created attachment 87329 [details] [review]
Bug 22501: OPAC course reserves notes should allow html links

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Katrin Fischer 2019-04-04 07:07:55 UTC
Created attachment 87380 [details] [review]
Bug 22501: OPAC course reserves notes should allow html links

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2019-04-04 07:11:53 UTC
This fixes the note on course level, from the description I was wondering if it should be the public note on course reserve item level?

It also only fixes the OPAC side, but still displays escaped in staff. I think both should match to give the correct preview of the entered HTML code.
Comment 5 Liz Rea 2019-04-09 17:57:30 UTC
Created attachment 87658 [details] [review]
Bug 22501: (QA Follow-up) use $raw for the note in the intranet
Comment 6 Liz Rea 2019-04-09 17:57:46 UTC
Yep I think we should have this in the intranet too, I've added a follow up for that. It might be scope-creep to change the item level notes, but that could definitely go on another bug.
Comment 7 Katrin Fischer 2019-04-10 20:38:39 UTC
Hi Lucas, please use the QA tools on your patches - it will show you if there are any complaints. In this case, there is a small 'typo' in the first commit message. I will fix it.
Comment 8 Katrin Fischer 2019-04-10 20:43:53 UTC
Created attachment 87735 [details] [review]
Bug 22501: OPAC course reserves notes should allow html links

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-04-10 20:43:58 UTC
Created attachment 87736 [details] [review]
Bug 22501: (QA follow-up) use $raw for the note in the intranet

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2019-04-10 20:44:02 UTC
Created attachment 87737 [details] [review]
Bug 22501: Add raw filter to course reserves summary page

Fixes another place where the public note is shown:
- Course reserves module start/summary page
Comment 11 Nick Clemens 2019-04-12 11:48:12 UTC
Awesome work all!

Pushed to master for 19.05
Comment 12 Martin Renvoize 2019-04-16 13:14:26 UTC
Pushed to 18.11.x for 18.11.05
Comment 13 Nick Clemens 2019-04-19 00:17:48 UTC
Created attachment 88333 [details] [review]
Bug 22501: (follow-up) Use raw filter for course note on details page
Comment 14 Katrin Fischer 2019-04-22 09:38:25 UTC
Hi Nick, what more is needed here? (additional_work_needed)
Comment 15 Nick Clemens 2019-04-22 09:39:49 UTC
(In reply to Katrin Fischer from comment #14)
> Hi Nick, what more is needed here? (additional_work_needed)

I added an additional patch, the notes in course details were still filtered, it should be pushed to all versions
Comment 16 Lucas Gass 2019-04-22 21:53:32 UTC
not backporting to 18.05.x
Comment 17 Nick Clemens 2019-04-24 11:42:27 UTC
(In reply to Nick Clemens from comment #15)
> (In reply to Katrin Fischer from comment #14)
> > Hi Nick, what more is needed here? (additional_work_needed)
> 
> I added an additional patch, the notes in course details were still
> filtered, it should be pushed to all versions

(In reply to Nick Clemens from comment #13)
> Created attachment 88333 [details] [review] [review]
> Bug 22501: (follow-up) Use raw filter for course note on details page

Follow-up pushed to master
Comment 18 Martin Renvoize 2019-04-26 14:45:32 UTC
Follow-up pushed to 18.11.x for 18.11.05